# Tutorial Syllabus

The coding samples in the following notebooks help illustrate the use
of **pytextrank** and related libraries in Python for graph-based
natural language work.
We'll show how to leverage the different *Textgraph* algorithms
within spaCy pipelines.


## Audience

  * You are a Python programmer who needs to learn how to use available NLP packages
  * You work on a data science team and have some Python experience, and now you need to leverage NLP and text mining
  * You have interests in chatbots, deep learning, and related AI work, and want to understand the basics for handling text data in those use cases


## Prerequisites

  * Some coding experience in Python (you can read a 20-line program)
  * Interest in use cases that need to use *natural language processing*


## Key Takeaways

  * Hands-on experience with popular open source libraries in Python for natural language
  * Coding examples that can be used as starting points for your own NLP projects
  * Ways to integration natural language work with other aspects of graph-based data science
