
from icecream import ic
import spacy
import pytextrank

# example text
text = """Цены фьючерсов на газ в Европе в понедельник выросли более чем вполовину, превысив 3500 долларов за тысячу кубометров, свидетельствуют данные лондонской биржи ICE.
Торги открылись с 2366,8 долларов за тысячу кубометров, но котировки сразу же пошли вверх. За час они подскочили почти на тысячу долларов. При этом расчетная цена на пятницу составляла 2170,2 доллара.
Европейский газовый рынок лихорадит уже много месяцев. Весной прошлого года цены колебались на уровне 250-300 долларов за тысячу кубов, к концу августа они выросли до 600 долларов, в октябре впервые перевалили за тысячу, а в декабре — за две тысячи. Затем последовал некоторый откат, но цены оставались стабильно высокими, чего не наблюдалось за всю историю функционирования газовых хабов в Европе."""

# load a spaCy model, depending on language, scale, etc.
nlp = spacy.load("ru_core_news_lg")

algos = [
    "textrank",
    "positionrank",
    "biasedtextrank",
    "topicrank",
]

for algo in algos:
    ic(algo)
    nlp.add_pipe(algo)

    doc = nlp(text)

    for phrase in doc._.phrases:
        ic(phrase.text)
        ic(phrase.rank, phrase.count)
        ic(phrase.chunks)
